#include <iostream>
#include <math.h>

using namespace std;

int main()
{
    int n, m, i, j;
    cin >> n >> m;
    int vage[n][2], pitanja[m][3], odgovori[m];
    for(i=0; i<n; i++){
        cin>>vage[i][0]>>vage[i][1];
    }
    for(i=0; i<m; i++){
        cin>>pitanja[i][0]>>pitanja[i][1]>>pitanja[i][2];
        odgovori[i]=0;
    }
    for(i=0; i<m; i++){
        for(j=pitanja[i][0]; j<=pitanja[i][1]; j++){
            if(vage[j][0]<=pitanja[i][2]&&vage[j][1]>=pitanja[i][2]){
                odgovori[i]++;
            }
        }
        cout<<odgovori[i]<<"\n";
    }
}